<?php 
	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	if($feslider && $feslider['count'] > 0):
?>

<style type="text/css">
	#feslider-<?php echo $post_id ?> {
		margin-bottom: <?php echo $options['fesliderMargin'] ?>px;
	}
</style>

<div id="feslider-<?php echo $post_id ?>" class="feslider harislab-feslider slider-pro">
	<div class="sp-slides">

	<?php foreach ($feslider['images'] as $image): ?>

		<div class="sp-slide">
			<img class="sp-image" src="" data-src="<?php echo $image['url'] ?>">

			<?php $obj = get_post($image['id']); if($obj->post_excerpt != ''): ?>

			<p class="sp-layer sp-black sp-padding feslider-caption"
				data-position="bottomLeft" data-horizontal="10%" data-vertical="35px" data-width="80%"
				data-show-transition="up" data-show-delay="400">
				<?php echo $obj->post_excerpt ?>
			</p>

			<?php endif ?>
		</div>

	<?php endforeach ?>

	</div>
</div>

<?php endif ?>
